﻿using JewelryStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.BindingModels
{
    public class JewelBindingModel : IJewelModel
    {
        public int Id { get; set; }
        public string JewelName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> JewelComponents { get; set; } = new();
    }
}